# Inspect delivery and attempts

`GET /api/deliveries/{id}`

Returns the delivery summary, message availability, and content-free attempt history.

Send API requests to your Wildmail application origin. The documentation host does not serve API requests.

## Authentication

- apiKey: Send `Authorization: Bearer <token>` in the request headers. Wildmail scoped kmx_ API token.

- session: Send the credential in the cookie named `better-auth.session_token`. Browser session cookie used by the hosted app. It may use the __Secure- cookie prefix. Use the auth client to manage cookies.

Each bullet above is an alternative authentication method.

Required API key scope: `deliveries:read`.

Audience: management.

## Parameters

### id

path parameter; required.

```json
{
  "name": "id",
  "in": "path",
  "required": true,
  "schema": {
    "type": "string"
  }
}
```

## Responses

### 200

Success

Content type: `application/json`.

Schema:

```json
{
  "type": "object",
  "properties": {
    "delivery": {
      "$ref": "#/components/schemas/Delivery"
    },
    "message": {
      "type": [
        "object",
        "null"
      ],
      "properties": {
        "receiptId": {
          "type": "string",
          "pattern": "^[a-f0-9]{24}$"
        },
        "receivedAt": {
          "type": "string",
          "format": "date-time"
        },
        "expiresAt": {
          "type": "string",
          "format": "date-time"
        },
        "contentAvailable": {
          "type": "boolean"
        }
      },
      "required": [
        "receiptId",
        "receivedAt",
        "expiresAt",
        "contentAvailable"
      ]
    },
    "contentAvailable": {
      "type": "boolean"
    }
  },
  "required": [
    "delivery",
    "message",
    "contentAvailable"
  ]
}
```

### 401

Missing, invalid or revoked credentials.

Content type: `application/json`.

Schema:

```json
{
  "$ref": "#/components/schemas/Error"
}
```

### 403

Required scope or account access missing.

Content type: `application/json`.

Schema:

```json
{
  "$ref": "#/components/schemas/Error"
}
```

### 404

Delivery not found.

Content type: `application/json`.

Schema:

```json
{
  "$ref": "#/components/schemas/Error"
}
```

### 429



### 503



## Referenced schemas

References resolve against the [OpenAPI specification](/openapi.json).

### #/components/schemas/Delivery

```json
{
  "type": "object",
  "properties": {
    "id": {
      "type": "string"
    },
    "deliveryId": {
      "type": "string"
    },
    "eventId": {
      "type": "string"
    },
    "eventType": {
      "type": "string",
      "const": "email.received"
    },
    "endpointId": {
      "type": "string"
    },
    "endpointName": {
      "type": "string"
    },
    "endpointStatus": {
      "type": "string"
    },
    "status": {
      "type": "string",
      "enum": [
        "pending",
        "retrying",
        "delivered",
        "failed"
      ]
    },
    "inProgress": {
      "type": "boolean"
    },
    "responseCode": {
      "type": [
        "integer",
        "null"
      ]
    },
    "durationMs": {
      "type": [
        "integer",
        "null"
      ]
    },
    "attemptCount": {
      "type": "integer"
    },
    "nextRetryAt": {
      "type": [
        "string",
        "null"
      ],
      "format": "date-time"
    },
    "deliveryDeadlineAt": {
      "type": [
        "string",
        "null"
      ],
      "format": "date-time"
    },
    "lastError": {
      "type": [
        "string",
        "null"
      ]
    },
    "createdAt": {
      "type": "string",
      "format": "date-time"
    },
    "payload": {
      "type": "null"
    },
    "payloadBody": {
      "type": "null"
    },
    "attempts": {
      "type": "array",
      "items": {
        "$ref": "#/components/schemas/MessageAttempt"
      }
    }
  },
  "required": [
    "id",
    "deliveryId",
    "eventId",
    "eventType",
    "endpointId",
    "endpointName",
    "endpointStatus",
    "status",
    "inProgress",
    "responseCode",
    "durationMs",
    "attemptCount",
    "nextRetryAt",
    "deliveryDeadlineAt",
    "lastError",
    "createdAt",
    "payload",
    "payloadBody",
    "attempts"
  ]
}
```

### #/components/schemas/Error

```json
{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "code": {
      "type": "string"
    },
    "limit": {
      "type": "integer"
    }
  },
  "required": [
    "error"
  ]
}
```

### #/components/schemas/MessageAttempt

```json
{
  "type": "object",
  "properties": {
    "id": {
      "type": "string"
    },
    "deliveryId": {
      "type": "string"
    },
    "status": {
      "type": "string"
    },
    "responseCode": {
      "type": [
        "integer",
        "null"
      ]
    },
    "durationMs": {
      "type": [
        "integer",
        "null"
      ]
    },
    "error": {
      "type": [
        "string",
        "null"
      ]
    },
    "createdAt": {
      "type": "string",
      "format": "date-time"
    },
    "completedAt": {
      "type": [
        "string",
        "null"
      ],
      "format": "date-time"
    }
  },
  "required": [
    "id",
    "deliveryId",
    "status",
    "responseCode",
    "durationMs",
    "error",
    "createdAt",
    "completedAt"
  ]
}
```
